//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("DanhSachQuan_Huyen")]
    public partial class DanhSachQuan_Huyen
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public DanhSachQuan_Huyen()
        {
            this.KhachHangs = new HashSet<KhachHang>();
        }
    
        [Key]
        public string MaQuan_Huyen { get; set; }
        public string TenQuan_Huyen { get; set; }
        public string MaTinh_TP { get; set; }
        public string MaCoSo { get; set; }
    
        public virtual CoSo CoSo { get; set; }
        public virtual DanhSachTinh_TP DanhSachTinh_TP { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<KhachHang> KhachHangs { get; set; }
    }
}
